<div>

    <h3 mat-dialog-title>
        <b> Customer : {{titleCustomer}} </b>
        <b style="float: right;">Vehicle : {{titleVehicle}}</b>
    </h3>

</div>


<div #container class="content-card" style="overflow: auto;
max-height: 250px;
height: 250px;
margin-top: -60px;">
    <table mat-table [dataSource]="dataSource" multiTemplateDataRows matSort class="mat-elevation-z8">
        <ng-container matColumnDef="column1">
            <mat-header-cell *matHeaderCellDef mat-sort-header>{{column1}}</mat-header-cell>
            <mat-cell *matCellDef="let userLogs">
                <p class="text-truncate">{{userLogs.column1}}</p>
            </mat-cell>
        </ng-container>
        <ng-container matColumnDef="column2">
            <mat-header-cell *matHeaderCellDef mat-sort-header>{{column2}}</mat-header-cell>
            <mat-cell *matCellDef="let userLogs" style="justify-content: center;">
                <p class="text-truncate">{{userLogs.column2}}</p>
            </mat-cell>
        </ng-container>
        <ng-container matColumnDef="column3">
            <mat-header-cell *matHeaderCellDef mat-sort-header>{{column3}}</mat-header-cell>
            <mat-cell *matCellDef="let userLogs">
                <p class="text-truncate">{{userLogs.column3}}</p>
            </mat-cell>
        </ng-container>
        <ng-container matColumnDef="column4">
            <mat-header-cell *matHeaderCellDef mat-sort-header>Status</mat-header-cell>
            <mat-cell *matCellDef="let userLogs">
                <button mat-raised-button [disabled]='userLogs.buttonDisable' color="{{userLogs.color}}" (click)="raiseRequest(userLogs)">{{userLogs.column4}}</button>
            </mat-cell>
        </ng-container>
        <ng-container matColumnDef="column5">
            <mat-header-cell *matHeaderCellDef mat-sort-header>{{column5}}</mat-header-cell>
            <mat-cell *matCellDef="let userLogs">
                <p class="text-truncate">{{userLogs.column5}}</p>
            </mat-cell>
        </ng-container>
        <ng-container matColumnDef="column6">
            <mat-header-cell *matHeaderCellDef mat-sort-header>{{column6}}</mat-header-cell>
            <mat-cell *matCellDef="let userLogs">
                <p class="text-truncate">{{userLogs.column6}}</p>
            </mat-cell>
        </ng-container>
        <mat-header-row *matHeaderRowDef=" displayedColumns"> </mat-header-row>
        <mat-row *matRowDef="let userLogs; columns: displayedColumns;" class="example-element-row"
            [class.example-expanded-row]="expandedElement === userLogs"></mat-row>
    </table>

</div>

<mat-dialog-actions style="justify-content: space-evenly;">
    <div style="display: inline-flex;">
        <button mat-raised-button color="accent" (click)="export()">
            Export
        </button>
        &nbsp;
        <button mat-raised-button color="accent" (click)="cancel()">
            Close
        </button>
    </div>
</mat-dialog-actions>